/*****************************************************
  symbols.h     
  128x64_functions.h   

      :
1)     .  massives.h

2)         massives.h    128x64_functions.h
    128x64_functions.h

3)    mass []= " ";

4)      i2c_and_TDA7313.lib.


 :
   /     1/0

)      ,         *tabstr
page_kolonka_CS1_CS2_SL_massiv_nmass(, ,  1,  2, ,     *tabstr,   )

)   .          ,      .
  . ,   ,   
putstr(  ,  1,  2, , ,  , )

 1  2   1,    0
     0  7
  0  63
  "" 0,     . ,  1,      

)  
LCD_clear( 1,  2)


*****************************************************/
/*   */
#define Up 32
#define Down 33
#define Left 17
#define Right 16
#define Menu 48
#define OK 59
#define Att 13
#define Off 12
#define Timer 42
#define Minus 21
#define Plus 22
#define Go_menu1 34
#define IN1 1
#define IN2 2
#define IN3 3
#define SBR 10
/*******************************************/







//     12864_functions
#define Power_ON  PORTB SET_B0;			//    .0 .1 -     
#define Power_OFF PORTB CLR_B0;			//      
#define TA2022_ON  PORTD SET_B5;		//    .2  2022
#define TA2022_OFF PORTD CLR_B5;		//    .2  2022
#define Displ_podsvetka_ON PORTB SET_B3	//   
#define Displ_podsvetka_OFF PORTB CLR_B3	//   
#define Keyboard_Light_ON PORTB SET_B1;	//   
#define Keyboard_Light_OFF  PORTB CLR_B1;	//   



#define SET_B4 |=(1<<4);
#define CLR_B4 &=~(1<<4);
#define CS_act  PORTB CLR_B4;	//  4  0 -  
#define CS_unact  PORTB SET_B4;


#include <mega32.h>
#include <peremennie_and_txt.h>
#include <ad7142regmap.h>
#include <spi.h>
#include <7142_functions.h>
#include <7142_config.h>
#include <DELAY.h>
#include <STRING.H>
#include <stdio.h>
#include <ds1307.h>

#include <i2c.h>


#asm                                        //    DS1307
   .equ __i2c_port=0x15 ;PORTC
   .equ __sda_bit=7
   .equ __scl_bit=6
#endasm
#include <i2c.h>
#include <controller_init.h>

#include <symbols.h>
#include <massives.h>
#include <128x64_functions.h>
#include <i2c_and_TDA7313.h>
#include <menu_otobr.h>
#include <RC5.h>
#include <menu_navigation.h>
#include <1307_functions.h>
#include <set_changes.h >
#include <TDA_7313_control.h> set_changes.h
#include <amp_init_on_off.h >
#include <valcoder_functions.h >


//   7142
interrupt [EXT_INT2] void ext_int2_isr(void)
{
#asm ("cli");
SLLI	= read_from_AD7142_spi (8);		//Stage low limit int			 8
SHLI	= read_from_AD7142_spi (9);		//Stage hight limit int		 9
SCLI	= read_from_AD7142_spi (10);	//Stage complete limit int		 10

/*
	if (   ((SHLI & 0x0001) != 0x0000) && ((SLLI& 0x0001) == 0x0000) && (EnableRecalAgain==1))
	{
		//These 2 variables are used to run the re-calibration only once
		EnableRecalAgain=0;
		EnableRecalCounter=0;
		// 
		temp=read_from_AD7142_spi (2);	//  2 AMB_COMP_CTRL0
		temp|=0x4000;				//   14 
		 write_to_AD7142_spi(2, temp);	//   AD7142

		//Read back
		do
		{temp=read_from_AD7142_spi (2);}	//  2
		while((temp & 0x4000) == 0x4000);
	}

if (EnableRecalCounter<4 && EnableRecalAgain==0) {EnableRecalCounter++;};

if (EnableRecalCounter==3 && EnableRecalAgain==0) {EnableRecalAgain=1;};

*/
if (m1==0) {Keyboard_Light_ON;m1=1; goto w; };
if (m1==1) {Keyboard_Light_OFF;m1=0; };
w:
rem_command = Right;
command_tx=20;
#asm("sei")
}



//    0  TSOP
interrupt [EXT_INT0] void ext_int0_isr(void){ RC5_decoder();}


// Timer 0 overflow interrupt service routine    Rc5
interrupt [TIM0_OVF] void timer0_ovf_isr(void){
char i = 0;			// 
TCCR0 = 0x00;		// 
TCNT0 = 0x00;		// 
counter = 0;		// 
cnt_bit = 0;			//   
for (i=0; i<14; i++) code[i]=0; //   
}


// External Interrupt 1 service routine   
interrupt [EXT_INT1] void ext_int1_isr(void) {   valcoder ();}


// Timer 1 output compare A interrupt service routine     
interrupt [TIM1_COMPA] void timer1_compa_isr(void) {
#asm("cli")
Refr1=1; //    
if ((tek_menu>=31)&&(tek_menu<=69)) {timer=0;}//      7142,    
if ((tek_menu!=0)&&(tek_menu!=30)) {timer++;}                      //  ,       ...
if (timer>=40) {		//40     20 ,    2   
timer=0;			//  
tek_menu=0;		//      0
displ_refresh=1;		//   
Refr4=1;			//     1 
}

clock=1;  //   

if (att_on==1) {
//  
if (mig_att==0) {mig_att=1; goto e;}             //    0        mig_att     
if (mig_att==1) {mig_att=0;}
e:
}
#asm("sei")
}




void main(void)
{

init_controller ();

LCD_init();		//   
LCD_clear();	//    
i2c_init();		//  i2c
displ_refresh=1;
DS1307_init();	//     ,   1307       ,     DS  34
timer=0;		//        
AD7142_configure ();	// 7142
#asm("sei")



while (1)

{//while



if (clock==1) {vnutr_chasi (); clock=0; }              //     -             vnutr_chasi

auto_ON();
auto_OFF ();

if ( tek_menu!=30) {			//   ,   .       -  
amplifier_on();
amplifier_off();
system_init();				//        
}


if (system_on==1) {			//1   , :
menu_navi ();
if (tek_menu!=30) { //   
tda_control();

set_parameters ();
}
if (displ_refresh==1) {			//     -     
//LCD_clear();
display_menu(tek_menu);		//  
displ_refresh=0; }	   			//    

}     //1

}; //while
}









