void init_controller (void)  {

PORTA=0b00000000;
  DDRA=0b11111111;

PORTB=0b10010000;
 DDRB=0b10111011;

PORTC=0b00000000;
 DDRC=0b00111100;

PORTD=0b00011111;
 DDRD=0b11100000;
/***********************  0 Rc5  ,       ***************************/
// Timer/Counter 0 initialization
// Clock source: 0
// Mode:0
// OC0 output: Disconnected
TCCR0=0x00;
TCNT0=0x00;
OCR0=0x00;
/**************************************************************************************/
/***********************  1  ***************************/

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: 15,625 kHz
// Mode: CTC top=OCR1A
// OC1A output: Discon.
// OC1B output: Discon.
// Noise Canceler: Off
// Input Capture on Falling Edge
// Timer 1 Overflow Interrupt: Off
// Input Capture Interrupt: Off
// Compare A Match Interrupt: On
// Compare B Match Interrupt: Off
TCCR1A=0x00;
TCCR1B=0x0D;
TCNT1H=0x00;
TCNT1L=0x00;
ICR1H=0x00;
ICR1L=0x00;
OCR1AH=0x1E;
OCR1AL=0x84;
OCR1BH=0x00;
OCR1BL=0x00;

/**************************************************************************************/
/*********************** 2***************************/
// Timer/Counter 2 initialization
// Clock source: System Clock
// Clock value: Timer 2 Stopped
// Mode: Normal top=FFh
// OC2 output: Disconnected
ASSR=0x00;
TCCR2=0x00;
TCNT2=0x00;
OCR2=0x00;
/**************************************************************************************/
/**************************************************/
// External Interrupt(s) initialization
// INT0: On
// INT0 Mode: Any change
// INT1: On
// INT1 Mode: Rising Edge
// INT2: On
// INT2 Mode: Rising Edge
GICR|=0xE0;
MCUCR=0x0D;
MCUCSR=0x40;
GIFR=0xE0;

// SPI initialization
// SPI Type: Master
// SPI Clock Rate: 4000 kHz
// SPI SCK       (  ,  .
// SPI      ,    
// SPI Data Order: MSB First
SPCR=0x5C;
SPSR=0x00;


/**************************************************************************************/
// Timer(s)/Counter(s) Interrupt(s) initialization
TIMSK=0x11;
ACSR=0x80;
SFIOR=0x00;

}